<?php
 echo "Entrez une date (04/01/2015) : " ;
 $retour=fscanf(STDIN,"%d/%d/%d",$jour,$mois,$annee)  ;
 echo "jour  = $jour\n"     ;
 echo "mois  = $mois\n"     ;
 echo "année = $annee\n"    ;
 var_dump($retour);

 echo "Entrez une nouvelle date (04/01/2015) : " ;
 $retour=fscanf(STDIN,"%d/%d/%d")  ;
 echo "jour  = $retour[0]\n"     ;
 echo "mois  = $retour[1]\n"     ;
 echo "année = $retour[2]\n"    ;

 var_dump($retour);
    
 echo "Entrez un entier : " ;	
 $retour=fscanf(STDIN,"%4d",$i)     ;
 echo "saisie de  = $i\n"   ;
 var_dump($retour);
    
 echo "Entrez un entier : " ;	
 $retour=fscanf(STDIN,"%d",$j)      ;
 echo "saisie de  = $j\n";
 var_dump($retour);

 // --- reel --- 
 echo 'Entrez un réel (ex: 123.56789012) : ';
 $retour=fscanf(STDIN,"%10f",$x);	// 123.56789012
 echo 'Réel = '.$x.PHP_EOL;
 var_dump($retour);
 // --- chaines de caractères ---
 echo 'Nom et Prénom (ex:Dupont Christophe) : ';
 fscanf(STDIN,"%6s %6s",$nom,$prenom);
 echo 'Nom = '.$nom.'  Prénom='.$prenom.PHP_EOL;
?>
